=== debian/control ===
Source: tweeny
Section: libdevel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>=9), doxygen, graphviz, cmake
Standards-Version: 3.9.8
Homepage: https://github.com/mobius3/tweeny
Vcs-Git: https://salsa.debian.org/uhoreg/tweeny.git
Vcs-Browser: https://salsa.debian.org/uhoreg/tweeny

Package: libtweeny-dev
Architecture: all
Depends: ${misc:Depends}
Suggests: fonts-roboto-fontface, libjs-jquery, libjs-bootstrap
Description: modern C++ tweening library
 Tweeny is an inbetweening library designed for the creation of complex
 animations for games and other beautiful interactive software. It leverages
 features of modern C++ to empower developers with an intuitive API for
 declaring tweenings of any type of value, as long as they support arithmetic
 operations.
 .
 The goal of Tweeny is to provide means to create fluid interpolations when
 animating position, scale, rotation, frames or other values of screen objects,
 by setting their values as the tween starting point and then, after each tween
 step, plugging back the result.
 .
 It features:
 .
  * A descriptive and (hopefully) intuitive API,
  * 30+ easing functions,
  * Allows custom easing functions,
  * Multi-point tweening,
  * Simultaneous tween of heterogeneous value sets,
  * Timeline-like usage (allows seeking to any point),
  * Header-only
  * Zero external dependencies
  * Steps forwards or backwards :)
  * Accepts lambdas, functors and functions as step and seek callbacks
