=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	cd build && make doc

override_dh_auto_configure:
	mkdir build && cd build && cmake ..
