## tweeny 3

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,8 @@
 
 # Setup variables and options
 option(TWEENY_BUILD_EXAMPLES "Build examples contained in examples/ folder. It might require additional dependencies." ON)
-option(TWEENY_BUILD_DOCUMENTATION "Attempts to build the documentation. You'll need doxygen and graphviz installed" ON)
+option(TWEENY_BUILD_DOCUMENTATION "Attempts to build the documentation. You'll need doxygen and graphviz installed" OFF)
+option(TWEENY_BUILD_EXTRAS "Attempts to build extra goodies on extras/ folder. It will require additional dependencies" ON)
 
 # Setup version
 include(cmake/SetupVersion.cmake)
@@ -70,11 +71,6 @@
 # Set up cpack
 include(cmake/SetupCPack.cmake)
 
-# Include examples
-if (TWEENY_BUILD_EXAMPLES)
-    add_subdirectory(examples)
-endif()
-
 if (TWEENY_BUILD_DOCUMENTATION)
     add_subdirectory(doc)
 endif()
@@ -94,5 +90,3 @@
         include/int2type.h
         include/dispatcher.h)
 set_target_properties(tweeny-dummy PROPERTIES LINKER_LANGUAGE CXX EXCLUDE_FROM_ALL TRUE)
-
-#target_compile_options(tweeny INTERFACE -Weverything -Wno-c++98-compat -Wno-padded)
