=== debian/changelog ===
tweeny (3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113591)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 16:26:57 +0300

tweeny (3-2) unstable; urgency=medium

  * Mark libtweeny-dev Multi-Arch: foreign. (Closes: #945942) Thanks to
    Helmut Grohne.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 24 Dec 2019 14:47:53 -0500

tweeny (3-1) unstable; urgency=medium

  * New upstream release.
    * Makes builds reproducible. (Closes: #897902)
    * Removed obsolete patches and links.
    * Examples have been removed from upstream.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 10 Jan 2019 09:28:44 -0500
