=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	cd build && make

override_dh_auto_configure:
	mkdir build && cd build && cmake .. -DTWEENY_BUILD_DOCUMENTATION=ON
